<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.TbAlarmMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.TbAlarm">
        <id column="id" property="id" />
        <result column="device_id" property="deviceId" />
        <result column="create_time" property="createTime" />
        <result column="alarm_time" property="alarmTime" />
        <result column="device_name" property="deviceName" />
        <result column="alarm_content" property="alarmContent" />
        <result column="alarm_status" property="alarmStatus" />
        <result column="remark" property="remark" />
        <result column="property" property="property" />
        <result column="alert_value" property="alertValue" />
        <result column="status" property="status" />
        <result column="alert_type" property="alertType" />
        <result column="serial" property="serial" />
        <result column="address" property="address" />
        <result column="port" property="port" />
        <result column="stuname" property="stuname" />
    </resultMap>

</mapper>
